Bug 557260

Summary: Hit enter key in URL bar while on rhq/resource/configuration/edit.xhtml causes stack trace
Product: [Other] RHQ Project Reporter: Adam Young <ayoung>
Component: Core UIAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Corey Welton <cwelton>
Severity: high Docs Contact:
Priority: low    
Version: 1.4.0.B01CC: cwelton
Target Milestone: ---Keywords: SubBug
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-12 12:49:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 565628    

Description Adam Young 2010-01-20 15:47:44 EST
Description of problem:  Hit enter key in URL bar while on 

rhq/resource/configuration/edit.xhtml causes stack trace


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Navigate to a copoent with an editable configuration
2. Make some change to the configuration the requires a form submit
3. One the URL bar no longer has the parameter id= in it, hit return.
  
Actual results:
An Error Occurred:
Cant instantiate class: org.rhq.enterprise.gui.inventory.resource.ResourceUIBean.

Expected results:
See the previously edited resource component 


Additional info:
This happens because the Resource ID is a request scoped parameter, and is not saved as a session cookie.  For a form submit, the param ID is sent as a post parameter, but when hitting enter in the URL bar, it goes in as a ghet parameter.  This makes it very easy to break the site.  Fixing this will stablize several other pages as well, where ID currently must be  passed explicitly.
Comment 1 wes hayutin 2010-02-16 11:59:00 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:03:47 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Adam Young 2010-02-16 12:21:13 EST
Marking this as fixed.  Jhon has changed the URL scheme such that we always show the resourceID.  Thus, we can't get into the stack trace state without hacking the url directly.  T
Comment 4 Corey Welton 2010-03-23 14:12:51 EDT
QA Verified, don't seem to be getting stuck in a state where the URL no longer references resource, so this doesn't occur anymore.  It can still occur if someone visits the URL directly, i.e., removing resource or just entering the URL manually, but that's an edge case.
Comment 5 Corey Welton 2010-08-12 12:49:53 EDT
Mass-closure of verified bugs against JON.